Bug 1831871 - Roll back action/install button logic within OperatorHub
Summary: Roll back action/install button logic within OperatorHub
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-05 19:20 UTC by Rob Szumski
Modified: 2020-05-29 13:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-29 13:16:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5306 0 None closed Bug 1831871: Revert "Update action/install buttons" 2020-06-24 01:43:54 UTC

Description Rob Szumski 2020-05-05 19:20:05 UTC
Description of problem:
The display logic was updated in https://github.com/openshift/console/pull/5082 to hide the "install" button when an annotation was set. It will not be possible for Marketplace Operator to set these annotations in the 4.5 timeframe.


Actual results:
In 4.5, browsing a Marketplace offering in OperatorHub does not have a button linking to the Marketplace.

Expected results:
"Purchase" button appears linking to the Marketplace. A secondary install button is also present next to it.

Additional info:
https://issues.redhat.com/browse/CONSOLE-2104

Comment 1 ralpert 2020-05-08 17:20:51 UTC
Have a PR up for this; waiting for review/merge: https://github.com/openshift/console/pull/5306

Comment 4 Yanping Zhang 2020-05-14 02:48:06 UTC
Checked on OCP 4.5 cluster with payload 4.5.0-0.nightly-2020-05-13-202437
Now the button text is rolled back to "Purchase" if marketplace.openshift.io/remote-workflow annotation is set and marketplace.openshift.io/action-text annotation is not set. And "Install" button will always show up no matter these annotations exist or not.


Note You need to log in before you can comment on or make changes to this bug.